Subject: Re: bug#28535: 25.2; Composed charater colon slows down Emacs performance while you in buffer with this character

From: Oleksandr Gavenko <[email-masked]>
Date: Thu, 21 Sep 2017 20:06:47 +0300

On Thu, Sep 21, 2017 at 7:50 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Oleksandr Gavenko <[email-masked]>
> > Date: Thu, 21 Sep 2017 19:12:25 +0300
> > Cc: [email-masked]
> >
> > With:
> >
> > (setq inhibit-compacting-font-caches t)
> >
> > redisplay lags was disappeared on cursor moves.
>
> Great, then I guess this bug can be closed?
>
> Yes. Though I prefer to set:

(set-fontset-font nil 'symbol "DejaVu Sans Mono-10:antialias=none")

Emacs font fallback mechanism started to pick "DejaVu Sans Mono" even when
special characters is defined to be displayed with Symbola.

> Is it possible to adjust font choosing preference to try well known fonts
> (like DejaVu) before falling to ugly and
> > buggy MS Gothic? So other Emacs users will have less problems on Windows
> .
>
> We already do that by default, but we prefer Symbola, as its coverage
> is much better.
>
> If you want to use DejaVu Sans Mono instead, you can customize your
> fontset accordingly, see fontset.el for examples of how to do that.
>

OK. It seems a bit complicated to configure too many character regions. As
I wrote above Emacs somehow started to prefer "DejaVu Sans Mono" as
fallback font and I don't need to do anything else for now.

But it is better to install necessary fonts. At least I know where to
search for spec.

For example it is very surprising to see specific font for drawing boxes:

  ;; Box Drawing and Block Elements
  (set-fontset-font "fontset-default" '(#x2500 . #x259F)
                    '("FreeMono" . "iso10646-1") nil 'prepend)

Thanks for support!